Bug 1045884

Summary: [Tracking ticket] - Update to ZeroMQ v4
Product: [Fedora] Fedora Reporter: Jose Pedro Oliveira <jose.p.oliveira.oss>
Component: zeromqAssignee: Thomas Spura <tomspur>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: andrewniemants, jose.p.oliveira.oss, mrunge, tomspur
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: zeromq-4.0.5-1.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-05-25 16:35:18 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 990423, 1069556, 1145100, 1165553, 1165554, 1165555    
Bug Blocks:    

Description Jose Pedro Oliveira 2013-12-22 20:05:40 UTC
Description of problem:
Tracking ticket for the the update of ZeroMQ to version 4.

Expected results:
 * new package zeromq4 that obsoletes the package zeromq3

Additional info:

 * ZeroMQ v4 new requirement:
   libsodium (review ticket: bug #990423)

 * ZeroMQ v4.0.3 download link:
   http://download.zeromq.org/zeromq-4.0.3.tar.gz

 * API compatibility report for the libzmq library
   between 3.2.4 and 4.0.3 versions on x86_64:
   http://um-pe09-2.di.uminho.pt/fedora/compat_reports/libzmq/3.2.4_to_4.0.3/compat_report.html

 * ZeroMQ 3.2.4 dynamic library:
   zeromq-3.2.4/src/.libs/libzmq.so.3.0.0

 * ZeroMQ 4.0.3 dynamic library:
   zeromq-4.0.3/src/.libs/libzmq.so.3.1.0

 * SONAME bump between 3.2.4 and 4.0.3 versions:
   from 3.0.0 to 3.1.0

Comment 1 Jose Pedro Oliveira 2013-12-22 21:30:18 UTC
zeromq 4.0.3 specfile and SRPM (work in progress):

 * http://um-pe09-2.di.uminho.pt/fedora/zeromq4-4.0.3-0.2.fc19.src.rpm
 * http://um-pe09-2.di.uminho.pt/fedora/zeromq4/zeromq4-4.0.3-0.2.fc19.x86_64/zeromq4.spec

Current status:
 * builds successfully in mock for Fedora 19, Fedora 20 and EPEL 6

Todo list:
 * zeromq4 should obsolete the zeromq3 package
 * file '/usr/bin/curve_keygen' contains a standard rpath '/usr/lib64' in [/usr/lib64]

Major caveat:
 * The test suite starts to fail if I try to handle the rpath problem in curve_keygen (http://fedoraproject.org/wiki/RPath_Packaging_Draft)

Comment 2 Thomas Spura 2014-02-04 08:00:40 UTC
Changes:
- disable silent rules in configure
- delete rpath with chrpath

This method of deleting rpath works with the test suite and we are now down to one last failing test:

PASS: test_timeo
../config/test-driver: line 95:  9265 Aborted                 (core dumped) "$@" > $log_file 2>&1
FAIL: test_fork
make[4]: Entering directory `/home/tomspur/rpmbuild/BUILD/zeromq-4.0.3/tests'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/home/tomspur/rpmbuild/BUILD/zeromq-4.0.3/tests'
============================================================================
Testsuite summary for zeromq 4.0.3
============================================================================
# TOTAL: 43
# PASS:  42
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

- I added provides/requires for zeromq3, but with the version of zeromq4 as I think that's appropriate. What do you think?

The spec can be found here: http://tomspur.fedorapeople.org/review/zeromq4.spec

Do you want to open a review request for zeromq4 or should I do it?

Comment 3 Thomas Spura 2014-02-25 09:44:48 UTC
(In reply to Thomas Spura from comment #2)
> Do you want to open a review request for zeromq4 or should I do it?

The review request can be found at bug #1069556.

Comment 4 Thomas Spura 2014-11-14 13:42:46 UTC
zeromq2 just hit rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8142278

I'll update the zeromq package to version 4 next week. If packages cannot be (easily) rebuild with it, they can then BR zeromq2 instead.

Comment 5 Jaroslav Reznik 2015-03-03 16:57:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22